# Uses of Enum Class
java.time.temporal.ChronoField

Packages that use ChronoField
Package
Description
java.time.chrono
Generic API for calendar systems other than the default ISO.
java.time.temporal
Access to date and time using fields and units, and date time adjusters.

## Uses of ChronoField in java.time.chrono

Methods in java.time.chrono with parameters of type ChronoField
Modifier and Type
Method
Description
`ValueRange`
Chronology.`range(ChronoField field)`
Gets the range of valid values for the specified field.
`ValueRange`
HijrahChronology.`range(ChronoField field)`
`ValueRange`
IsoChronology.`range(ChronoField field)`
`ValueRange`
JapaneseChronology.`range(ChronoField field)`
`ValueRange`
MinguoChronology.`range(ChronoField field)`
`ValueRange`
ThaiBuddhistChronology.`range(ChronoField field)`

## Uses of ChronoField in java.time.temporal

Methods in java.time.temporal that return ChronoField
Modifier and Type
Method
Description
`static ChronoField`
ChronoField.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ChronoField[]`
ChronoField.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.